Usage of user
curl --request GET \
--url https://api.neynar.com/v2/farcaster/storage/usage/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/storage/usage/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/storage/usage/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"casts": {
"capacity": 10000,
"object": "storage",
"used": 3659
},
"links": {
"capacity": 10000,
"object": "storage",
"used": 3659
},
"object": "storage_usage",
"reactions": {
"capacity": 10000,
"object": "storage",
"used": 3659
},
"signers": {
"capacity": 10000,
"object": "storage",
"used": 3659
},
"total_active_units": 2,
"user": {
"fid": 3,
"object": "user_dehydrated",
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
},
"username_proofs": {
"capacity": 10000,
"object": "storage",
"used": 3659
},
"verified_addresses": {
"capacity": 10000,
"object": "storage",
"used": 3659
}
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Storage
Usage of user
Fetches storage usage for a given user
GET
/
v2
/
farcaster
/
storage
/
usage
/
Usage of user
Related tutorial: Storage units allocation
Node.js SDK
🔗 SDK Method: lookupUserStorageUsage Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
The unique identifier of a farcaster user or app (unsigned integer)
Required range:
x >= 0Example:
3
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"storage_usage"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
lookupUserStorageUsageSDK v1 to v2 migration guidereportStudioUsageApp Discovery & SearchCredits PricingWas this page helpful?
⌘I